package org.tio.sitexxx.service.service.jpush.honor.response;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-02-21 10:36
 *    desc   :
 * </pre>
 */
public class SendResponse {
    private final Integer code;
    private final String msg;
    private final Object data;


    protected SendResponse(Integer code, String msg, Object data) {
        this.code = code;
        this.msg = msg;
        this.data = data;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public Object getData() {
        return data;
    }

    public static SendResponse fromCode(Integer code, String msg, Object data) {
        return new SendResponse(code, msg, data);
    }

}
